import os, unittest, gettext, time
from gi.repository import Gwibber, Dee

class StreamsModelTestCase (unittest.TestCase):
    def setUp (self):
        self.streams = Gwibber.Streams ()

    def test_streams_model_cols (self):
        self.assertEqual (int(self.streams.props.stream_model.get_n_columns ()), len(Gwibber.StreamModelColumn.__enum_values__))

    def test_streams_model_rows (self):
        self.assertLess (0, int(self.streams.props.stream_model.get_n_rows ()))

test_cases = (StreamsModelTestCase,)

def load_tests (loader, tests, pattern):
    suite = unittest.TestSuite ()
    for test_class in test_cases:
        tests = loader.loadTestsFromTestCase (test_class)
        suite.addTests (tests)
    return suite
